// SCManager.h: interface for the CSCManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCMANAGER_H__0BB1A7C5_391D_4E65_AC2E_32B00F9D0E57__INCLUDED_)
#define AFX_SCMANAGER_H__0BB1A7C5_391D_4E65_AC2E_32B00F9D0E57__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSCManager
{
	//Public functions
public:
	BOOL Close();
	BOOL DeleteService(LPCTSTR szServiceName,bool fStop = true);
	BOOL CreateService(LPCTSTR szServiceName,LPCTSTR szDisplayName,
		LPTSTR szDescription,bool fOwnProcess = true,PCTSTR szDepend = NULL);
	bool Open(DWORD dwAccess);
	
	CSCManager();
	~CSCManager();

	//Public attributes
public:
	PTSTR m_modulename;

	//private attributes
private:
	SC_HANDLE m_hScm;
};

#endif // !defined(AFX_SCMANAGER_H__0BB1A7C5_391D_4E65_AC2E_32B00F9D0E57__INCLUDED_)
