// ServiceHelper.h: interface for the CServiceHelper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVICEHELPER_H__433355AE_C5DF_4750_895A_37BAB7E30D9B__INCLUDED_)
#define AFX_SERVICEHELPER_H__433355AE_C5DF_4750_895A_37BAB7E30D9B__INCLUDED_

#include "ServiceContext.h"	// Added by ClassView

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef void (__stdcall *PSERVICEMAIN)(DWORD,LPTSTR*);

class CServiceHelper
{
	//public enum
public:
	enum {
		NOSERVICE,
		ONESERVICE,
		MULTIPLESERVICE
	};
	
	friend CServiceContext;

	//public functions
public:
	
	bool SetServiceCtx(CServiceContext* pCtx)
	{
		bool fOk = true;
		m_servctx = pCtx;
		if (AddService(pCtx->m_szServiceName,ServiceMain))
			m_ServiceCnt = ONESERVICE;
		else
			fOk = false;
		return fOk;
	};
	
	BOOL Start();
	
	bool AddService(LPTSTR szServiceName, PSERVICEMAIN ServMainProc);
	
	CServiceHelper();
	virtual ~CServiceHelper();

	static void ServiceMainHelper(CServiceContext* pCtx);

	//private attributes
private:
	typedef CSimpleMap<LPTSTR,PSERVICEMAIN> my_map;
	my_map m_services;
	int m_ServiceCnt;
	static CServiceContext* m_servctx;

	//private functions
private:

	static void WINAPI ServiceMain(DWORD dwArgc,LPTSTR* pszArgv);
	
	static DWORD WINAPI HandlerEx(DWORD dwControl,DWORD dwEventType,PVOID pvEventData,PVOID pvContext);

};

#endif // !defined(AFX_SERVICEHELPER_H__433355AE_C5DF_4750_895A_37BAB7E30D9B__INCLUDED_)
